Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79606 - Several vulnerabilities within (lib)MySQL could allow (remote) compromise of client and/or server.
Summary: Several vulnerabilities within (lib)MySQL could allow (remote) compromise of ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mysql
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: David Lawrence
URL: http://security.e-matters.de/advisori...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-13 22:39 UTC by pete gilman
Modified: 2007-04-18 16:49 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-15 19:27:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:288 high SHIPPED_LIVE : Updated MySQL packages fix various security issues 2003-02-07 05:00:00 UTC

Description pete gilman 2002-12-13 22:39:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:
see url referenced above.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

bugs have reportedly been fixed in MySQL 3.23.54; all that's required are errata
packages.

first seen reported on http://www.heise.de/newsticker/data/pab-13.12.02-000/ 
(german-language site).

Comment 1 Mark J. Cox 2002-12-14 20:53:06 UTC
An Erratum for mySQL taking mySQL to 3.23.54 is in progress.

Comment 2 Pete Krawczyk 2002-12-30 19:04:30 UTC
Any word on when this will be ready?

Comment 3 Paul van Brouwershaven 2003-01-02 10:42:35 UTC
Any idée when the update comes available?

See also :
    http://www.webwereld.nl/nieuws/13530.phtml
    http://www.tweakers.net/nieuws/24810

Comment 4 James R Roe 2003-01-04 14:21:56 UTC
I hope the errata being written surpass the elegence of the Gettysburg Address 
because Lincoln took less time to write that than it seems to be taking to 
write this errata.

Comment 5 Mark J. Cox 2003-01-06 16:57:57 UTC
Just to give a quick update, the erratum packages were created and are currently
in our QA process.  We do spend a lot of time on QA to ensure that upgrades are
going to work seamlessly and that the packages do actually fix the security
issues reported.


Comment 6 Christopher McCrory 2003-01-06 17:18:13 UTC
>> We do spend a lot of time on QA ...

I, for one , do apreciate the QA that goes into RH releases and eratta. 


James R Roe:
  If you _really_ need it right now,  grab the latest .src.rpm and edit it yourself

Comment 7 Mario Lorenz 2003-01-09 17:57:13 UTC
Mark, could you please elaborate on why an update seems to be available for
Advanced Server 2.1 since 18th Dec ? I thought Advanced Server was the
platform for critical stuff that was specially QA'd ?

Comment 8 Christopher McCrory 2003-01-09 18:03:02 UTC
I imagine Dec 18 is the build date not the realease date

rpm -qpli mysql-3.23.54a-3.72.src.rpm

Build Date: Mon 16 Dec 2002 04:52:12 AM PST




Comment 9 Mario Lorenz 2003-01-09 18:18:33 UTC
No.

https://rhn.redhat.com/errata/RHSA-2002-289.html

indicates it to be a release.

So does the date on the src rpm on the ftp server.


Comment 10 Pete Krawczyk 2003-01-14 14:17:58 UTC
So if the <a href="https://rhn.redhat.com/errata/RHSA-2002-289.html">AS
errata</a> is complete, shouldn't the regular errata be complete as well?

I'm just getting concerned since we're going on a month without an update to a
package for which exploit code has been released.

I applaud RH for all the QA work that goes into their errata.  I guess if I knew
at what stage QA is at and/or what hangups the QA team was seeing, I wouldn't be
so concerned.  If RH is having issues with 3.23.54, I sure don't want to deploy
it in production myself without a lot more testing...

Comment 11 Mark J. Cox 2003-01-15 19:27:43 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-288.html


Comment 12 Jacco Ligthart 2003-01-16 10:17:05 UTC
I didn't seem to find the erata for RH 7.1 alpha.
Can anyone tell me when these updates are expected ?


Note You need to log in before you can comment on or make changes to this bug.